Okay, something not Mac compatible with pogo and Safari.

That download link I gave won't solve it either. I tried and get the same message you do. I am up to date with everything in 10.8.3.

Firefox crashes, and Chrome can't use Java 7 which is what the game needs.